using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;

namespace Stat.BLL
{
    /// <summary>
    /// 
    /// </summary>
    public class ViewClick
    {

        static Stat.IDAL.IViewClick dal = Stat.DALFactory.AbstractFactory.GetInstance().CreateViewOnClick();

        /// <summary>
        /// 获取大于或等于该小时的数据
        /// </summary>
        /// <param name="model">依据依据</param>
        /// <returns></returns>
        public static List<Model.ViewItem_Int> GetListByGeqHour(Model.StatInfo model)
        {
            return dal.GetListByGeqHour(model);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public static int GetTotal(Model.StatInfo model)
        {
            return dal.GetTotal(model);
        }
    }
}
